<?php
namespace SabaiApps\Directories\Component\Entity\Helper;

use SabaiApps\Directories\Application;
use SabaiApps\Directories\Component\Entity;

class AdminUrlHelper {

	public function help( Application $application, Entity\Type\IEntity $entity, $separator = '&amp;' ) {
		$url = $application->getPlatform()->getEntityAdmninUrl( $entity->getType(), $entity->getBundleName(), $entity->getId() );
		if ( $separator === '&amp;' ) {
			$url = str_replace( '&', '&amp;', $url );
		}
		return $url;
	}
}
